rem SLINSAT -- Installation program for IBM AT with 5.25 inch drives

echo off 
c:

:makedir
if exist a:demo.id goto demoinst
goto fullinst

:demoinst
cd c:\
md c:\sldemo
cd c:\sldemo
goto continue

:fullinst
cd c:\
if exist c:\leader\cdsx.exe goto delold
md c:\leader
cd c:\leader
echo 
echo               Copying Files.   This will take several minutes.
echo               Please wait.......
echo 
goto continue

:delold
rem deletes version 1.X files
cd \leader
if exist sitleadx.cds goto s10
if exist sl15x.cds goto s15
goto update

:s10
echo               Situational Leadership Version 1.0 detected.
echo               Updating program to Version 2.0.  This will take
echo               several minutes.  Please wait...
goto update

:s15
echo               Situational Leadership Version 1.5 detected.
echo               Updating program to Version 2.0.  This will take
echo               several minutes.  Please wait...

:update
del *.exe 
if exist cds.ptd del *.ptd
if exist sitleadx.cds del sitleadx.cds
if exist assessx.cds del assessx.cds
if exist sl15x.cds del sl15x.cds
if exist pt15x.cds del pt15x.cds
if exist @mmenu.pcx del *.pcx
if exist @hres.pcc del *.pcc
if exist @control.cpx del *.cpx
if exist sl1.bat del *.bat
if exist adaptdat.cdd del *.cdd
if exist info.csf del *.csf
if exist cds.msg del *.msg
goto continue

:p1
cls
echo          ͻ
echo                                                          
echo                  Please put Program Diskette #1 in       
echo                           Disk Drive A.                  
echo                                                          
echo                                                          
echo          ͼ
echo 
pause

:continue
if not exist a:p1.id goto p1
copy a:*.* > nul

rem skip program diskette #2 for ps2
if not exist c:\leader\at.id goto g1

:p2
cls
echo 
echo          ͻ
echo                                                          
echo                 Please put Program Diskette #2 in        
echo                           Disk Drive A.                  
echo                                                          
echo                                                          
echo          ͼ
echo 
pause
if not exist a:p2.id goto p2
echo 
echo           Copying Files.   This will take several minutes.
echo           Please wait.......
echo 
copy a:*.* > nul

:g1
cls
echo 
echo          ͻ
echo                                                          
echo                 Please put Graphics Diskette #1 in       
echo                           Disk Drive A.                  
echo                                                          
echo                                                          
echo          ͼ
echo 
pause
if not exist a:g1.id goto g1
echo 
echo           Copying Files.   This will take several minutes.
echo           Please wait.......
echo 
copy a:*.* > nul

rem skip the rest if installing the demo
if exist c:\sldemo\demo.id goto chekdata

:g2
cls
echo 
echo          ͻ
echo                                                          
echo                 Please put Graphics Diskette #2 in       
echo                           Disk Drive A.                  
echo                                                          
echo                                                          
echo          ͼ
echo 
pause
if not exist a:g2.id goto g2
echo 
echo           Copying Files.   This will take several minutes.
echo           Please wait.......
echo 
copy a:*.* > nul

:g3
cls
echo 
echo          ͻ
echo                                                          
echo                 Please put Graphics Diskette #3 in       
echo                           Disk Drive A.                  
echo                                                          
echo                                                          
echo          ͼ
echo 
pause
if not exist a:g3.id goto g3
echo 
echo           Copying Files.   This will take several minutes.
echo           Please wait.......
echo 
copy a:*.* > nul
                              
rem skip remaining graphics diskettes for ps2
if not exist c:\leader\at.id goto chekdata

:g4
cls
echo 
echo          ͻ
echo                                                          
echo                 Please put Graphics Diskette #4 in       
echo                           Disk Drive A.                  
echo                                                          
echo                                                          
echo          ͼ
echo 
pause
if not exist a:g4.id goto g4
echo 
echo           Copying Files.   This will take several minutes.
echo           Please wait.......
echo 
copy a:*.* > nul
                              
:g5
cls
echo 
echo          ͻ
echo                                                          
echo                 Please put Graphics Diskette #5 in       
echo                           Disk Drive A.                  
echo                                                          
echo                                                          
echo          ͼ
echo 
pause
if not exist a:g5.id goto g5
echo 
echo           Copying Files.   This will take several minutes.
echo           Please wait.......
echo 
copy a:*.* > nul
                              
:g6
cls
echo 
echo          ͻ
echo                                                          
echo                 Please put Graphics Diskette #6 in       
echo                           Disk Drive A.                  
echo                                                          
echo                                                          
echo          ͼ
echo 
pause
if not exist a:g6.id goto g6
echo 
echo           Copying Files.   This will take several minutes.
echo           Please wait.......
echo 
copy a:*.* > nul
                              
:chekdata
rem make sure all files got copied
if not exist cdsd.ptd goto badinst

:endinst
if exist *.id del *.id
if exist install.bat del install.bat
copy c:\leader\sitlead.bat c:\
cls
echo 
echo               ͻ
echo                                                               
echo                                                               
echo                            Situational Leadership             
echo                      Interactive Videodisc Instruction        
echo                      _________________________________        
echo                                                               
echo                                Version  2.0                   
echo                           Successfully Installed              
echo                                                               
echo                                                               
echo               ͼ
echo 
echo               To run Situational Leadership, enter the command
echo               SITLEAD from the LEADER directory.
echo 
echo               To run the program now:
echo 
echo               1.  Remove the diskette in disk drive A.
echo               2.  Have a PARTICIPANT DISKETTE handy.
echo               3.  Type SITLEAD, then press ENTER.
echo 
goto finis

:badinst
cls
echo 
echo --------------------------------------------------------
echo       SITUATIONAL LEADERSHIP DEMO NOT INSTALLED....
echo --------------------------------------------------------
echo 
echo The install procedure was interrupted.  Situational
echo Leadership will not run properly unless you start the
echo install procedure again.  Insert Disk #1 in Drive A, and
echo type "A:Install".
echo ________________________________________________________
goto finis
     
:finis
